Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.exif
Class FujifilmMakerNoteTagSet

    java.lang.Object
      org.monte.media.tiff.TagSet
          org.monte.media.exif.FujifilmMakerNoteTagSet

    public class FujifilmMakerNoteTagSet

extends TagSet

Enumeration of Fujifilm MakerNote tags.

Sources:

http://www.exiv2.org/tags-fujifilm.html
http://park2.wakwak.com/%7Etsuruzoh/Computer/Digicams/exif-e.html#APP4
http://homepage3.nifty.com/kamisaka/makernote/makernote_fuji.htm

Version:
  1.3.1 2011-04-15 Adds enum for FinePixColor.
  1.3 2011-02-22 Adds principal point.
  1.2 2011-01-27 Adds constants.
  1.1 2011-01-23 Adds constants.
  1.0 2010-07-24 Created.
Author:
  Werner Randelshofer

Field Summary
`static TIFFTag` | `BaselineLength`
`static TIFFTag` | `ConvergenceAngle`
`static TIFFTag` | `ParallaxXShift` ParallaxXShift (Pixel fraction value).
`static TIFFTag` | `ParallaxYShift` ParallaxYShift (Pixel fraction value).
`static TIFFTag` | `SerialNumber`

Method Summary
`static FujifilmMakerNoteTagSet` | `getInstance()` Returns a shared instance of a BaselineTIFFTagSet.

Methods inherited from class org.monte.media.tiff.TagSet
`getName, getTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ParallaxXShift

    public static final TIFFTag ParallaxXShift

  ParallaxXShift (Pixel fraction value). This is -2 times the value that is shown on the camera display. This tag is only found in the maker note of the second image of a .MPO file.

### ParallaxYShift

    public static final TIFFTag ParallaxYShift

  ParallaxYShift (Pixel fraction value). This is -2 times the value that is shown on the camera display. This tag is only found in the maker note of the second image of a .MPO file.

### ConvergenceAngle

    public static final TIFFTag ConvergenceAngle

### BaselineLength

    public static final TIFFTag BaselineLength

### SerialNumber

    public static final TIFFTag SerialNumber

Method Detail

### getInstance

    public static FujifilmMakerNoteTagSet getInstance()

  Returns a shared instance of a BaselineTIFFTagSet.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD